Subject: Re: [I2nsf] Last Call: <draft-ietf-i2nsf-nsf-monitoring-data-model-12.txt> (I2NSF NSF Monitoring Interface YANG Data Model) to Proposed Standard

From: t petch <[email-masked]>
Date: Mon, 6 Dec 2021 12:56:50 +0000

On 17/11/2021 21:39, The IESG wrote:
>
> The IESG has received a request from the Interface to Network Security
> Functions WG (i2nsf) to consider the following document: - 'I2NSF NSF
> Monitoring Interface YANG Data Model'
>    <draft-ietf-i2nsf-nsf-monitoring-data-model-12.txt> as Proposed Standard
>
> The IESG plans to make a decision in the next few weeks, and solicits final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2021-12-01. Exceptionally, comments may
> be sent to [email-masked] instead. In either case, please retain the beginning
> of the Subject line to allow automated sorting.

Two thoughts.

The YANG module imports from RFC8343 which must then be a Normative 
Reference but I cannot see such.

The URL in the YANG module for contact should be 'datatracker' and not 
'tools'

Tom Petch

> Abstract
>
>
>     This document proposes an information model and the corresponding
>     YANG data model of an interface for monitoring Network Security
>     Functions (NSFs) in the Interface to Network Security Functions
>     (I2NSF) framework.  If the monitoring of NSFs is performed with the
>     NSF monitoring interface in a comprehensive way, it is possible to
>     detect the indication of malicious activity, anomalous behavior, the
>     potential sign of denial of service attacks, or system overload in a
>     timely manner.  This monitoring functionality is based on the
>     monitoring information that is generated by NSFs.  Thus, this
>     document describes not only an information model for the NSF
>     monitoring interface along with a YANG data diagram, but also the
>     corresponding YANG data model.
>
>
>
>
> The file can be obtained via
> https://datatracker.ietf.org/doc/draft-ietf-i2nsf-nsf-monitoring-data-model/
>
>
> The following IPR Declarations may be related to this I-D:
>
>     https://datatracker.ietf.org/ipr/3557/
>     https://datatracker.ietf.org/ipr/3607/
>
>
>
>
>
>
> _______________________________________________
> I2nsf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2nsf
> .
>